Bug 1008674 - 'top' in batch mode missing final newline
Summary: 'top' in batch mode missing final newline
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: procps-ng
Version: 19
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-16 20:01 UTC by Japheth Cleaver
Modified: 2016-02-01 01:59 UTC (History)
2 users (show)

Fixed In Version: procps-ng-3.3.8-14.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-23 00:37:58 UTC
Type: Bug


Attachments (Terms of Use)

Description Japheth Cleaver 2013-09-16 20:01:30 UTC
Description of problem:
The 'top' command in batch mode is missing a trailing newline. In Fedora 18 and earlier, one was present.

Version-Release number of selected component (if applicable):
Dates to procps-ng-3.3.8-8.fc19.x86_64 or earlier
F18's procps-ng-3.3.3-6.20120807git.fc18.x86_64 is unaffected

How reproducible:
Always

Steps to Reproduce:
1. top -b -n 1

Actual results:
[root@f19 tmp]# top -b -n 1 | tail -2 | cat -vAT
 3065 root      20   0  107920    644    560 S  0.0  0.1   0:00.00 tail$
 3066 root      20   0  108236    508    432 S  0.0  0.1   0:00.00 cat[root@f19 tmp]# 


Expected results:
[root@f19 tmp]# top -b -n 1 | tail -2 | cat -vAT
 3065 root      20   0  107920    644    560 S  0.0  0.1   0:00.00 tail$
 3066 root      20   0  108236    508    432 S  0.0  0.1   0:00.00 cat$
[root@f19 tmp]# 


Additional info:
In Fedora 18:
[root@f18 tmp]# top -b -n 1 | tail -2 | cat -vAT
29927 root      20   0  104m  696  600 S   0.0  0.1   0:00.00 tail$
29928 root      20   0  104m  616  524 S   0.0  0.1   0:00.00 cat$
[root@f18 tmp]#

Comment 1 Fedora Update System 2013-09-17 18:45:31 UTC
procps-ng-3.3.8-14.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/procps-ng-3.3.8-14.fc20

Comment 2 Fedora Update System 2013-09-17 18:45:44 UTC
procps-ng-3.3.8-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/procps-ng-3.3.8-10.fc19

Comment 3 Jaromír Cápík 2013-09-17 18:47:43 UTC
Hello Japheth.

The issue should be fixed now. Please, test the latest build and give it some karma once done.

Thanks in advance.

Regards,
Jaromir.

Comment 4 Fedora Update System 2013-09-18 12:59:57 UTC
Package procps-ng-3.3.8-10.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing procps-ng-3.3.8-10.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16996/procps-ng-3.3.8-10.fc19
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-09-23 00:37:58 UTC
procps-ng-3.3.8-10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-09-23 00:49:24 UTC
procps-ng-3.3.8-14.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.